#!/bin/sh

# get main helper functions
. /srv/www/include/cgi-helper

check_rights "status" "boot"

_rshort=5 # short reload (5)
_rurl=$myname # reload-url

case $QUERY_STRING in
    "")
        show_html_header "Wake On LAN" "cssfile=status"
        show_tab_header "$_WOL_tab_header" no
	
        cat <<EOF
<table class="normtable"><tr>
<th align="center">$_WOL_tab_host</th>
<th align="center">$_WOL_tab_ip</th>
<th align="center">$_WOL_tab_mac</th>
<th align="center">$_WOL_tab_iface</th>
<th align="center">$_WOL_tab_state</th>
<th align="center">WOL</th></tr>
EOF
	while read line
        do
            set $line
            host=$5
            ip=$4
            iface=$3
            mac=$2
            if cat /proc/net/arp | grep "$ip " | grep "0x2 " > /dev/null
            then
                state=online
            else
                state=offline
            fi
            echo "<tr class=\"$state\"><td>&nbsp;$host&nbsp;</td><td>&nbsp;$ip&nbsp;</td><td>&nbsp;$mac&nbsp;</td><td>&nbsp;$iface&nbsp;</td>"
	    echo "<td align=\"center\"><img src="/img/"$state".png" width="11" height="12" title="$state" alt="$state"></td>"
            if [ "$state" = "offline" ]
            then
	        echo "<td align=\"center\"><a href=\"wol.cgi?$host\"><img src="/img/execute.png" width="18" height="18" title="$_WOL_execute" alt="$_WOL_execute"></a></td>"
            else
                echo "<td>&nbsp</td>"
            fi
            echo "</tr>"
        done < /var/run/wol/hosts.mac

	echo "</table><br> $_WOL_note"
	show_tab_footer
	;;
    *)
	show_html_header "Wake On LAN" "refresh=$_rshort;url=$_rurl"
	/usr/local/bin/wol.sh $QUERY_STRING
	show_info "$_WOL_done_info$QUERY_STRING" "$_WOL_done_message<a href=$_rurl>$_WOL_done_url</a>."
        ;;
esac

show_html_footer
